package com.company.demo.entity;

import io.jmix.core.DeletePolicy;
import io.jmix.core.entity.annotation.JmixGeneratedValue;
import io.jmix.core.entity.annotation.OnDeleteInverse;
import io.jmix.core.metamodel.annotation.DependsOnProperties;
import io.jmix.core.metamodel.annotation.InstanceName;
import io.jmix.core.metamodel.annotation.JmixEntity;

import javax.persistence.*;
import java.util.UUID;

@JmixEntity
@Table(name = "DEMO_WHEEL", indexes = {
        @Index(name = "IDX_DEMO_WHEEL_CAR", columnList = "CAR_ID")
})
@Entity(name = "demo_Wheel")
public class Wheel {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    private UUID id;

    @Column(name = "POSITION_")
    private String position;
    @OnDeleteInverse(DeletePolicy.CASCADE)
    @JoinColumn(name = "CAR_ID", nullable = false)
    @ManyToOne(fetch = FetchType.LAZY, optional = false)
    private Car car;

    public Car getCar() {
        return car;
    }

    public void setCar(Car car) {
        this.car = car;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    @InstanceName
    @DependsOnProperties({"position"})
    public String getInstanceName() {
        return String.format("%s", position);
    }
}